Namespace
arm64v8
Image / Tag
openjdk:21-ea-3-jdk-bullseye
Content Digest
sha256:56e2fe3ca1be94c313cefad71eb10cfe3255dfe3e7c1819125ac63bf66b0b4c5
Details
Created

2022-12-23 00:40:30 UTC

Size

322 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-21

JAVA_VERSION

21-ea+3

LANG

C.UTF-8

PATH

/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c3e6129b48b69d14c5e7a5605e2b94003fb71aac82eac46b8689f5b8007af2c5 - 15.9% (51.2 MB)

[#001] sha256:ef0470f9572d03767b054118fe19e60a9c7e2510168b3a0868d9ac2953d2def5 - 1.53% (4.91 MB)

[#002] sha256:99dfcef0545e5bca269c65c0208385c886321a1e0212977299827be5346dfea5 - 3.22% (10.4 MB)

[#003] sha256:940d63caabf45c64562daab3c243c8724dd47bf45054d902ef3cb6206fc9c3f6 - 16.2% (52.1 MB)

[#004] sha256:0e63ea28b699e31ef3a8db7e3ecf8bade202a38ade7de80c00d2ab459bf9683f - 4.6% (14.8 MB)

[#005] sha256:f4a575916f12ad0a576f858a4b6f52a49f4dc8fc4819634f23ea42fdd819a48f - 58.55% (189 MB)


History
2022-12-21 01:39:40 UTC

/bin/sh -c #(nop) ADD file:5bbdc914ec8ed60ac85293e88ee1aafc3f0290762e320fc86dc9d79fa201834e in /

2022-12-21 01:39:41 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-12-21 02:05:58 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*

2022-12-21 02:06:04 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2022-12-21 02:06:20 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2022-12-21 03:53:13 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-12-21 03:53:13 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-21

2022-12-21 03:53:13 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-12-21 03:53:13 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-12-23 00:40:19 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+3

2022-12-23 00:40:28 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk21/3/GPL/openjdk-21-ea+3_linux-x64_bin.tar.gz'; downloadSha256='21c02c2f76e385cca3ddd75d2913d3b6e16e4a1fa934fe038c0ab3c8c1184149'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk21/3/GPL/openjdk-21-ea+3_linux-aarch64_bin.tar.gz'; downloadSha256='84936b271d7997ca809075582a686eee89f8f37ac9252f33b8292260518000dd'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-12-23 00:40:30 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete